|  | Home · All Classes · Modules

# QGraphicsOpacityEffect Class Reference
[QtGui module]

The QGraphicsOpacityEffect class provides an opacity effect. More...

Inherits QGraphicsEffect.

### Methods

- __init__ (self, QObject parent = None)
- draw (self, QPainter)
- float opacity (self)
- QBrush opacityMask (self)
- setOpacity (self, float)
- setOpacityMask (self, QBrush)

### Qt Signals

- void opacityChanged (qreal)
- void opacityMaskChanged (const QBrush&)

## Detailed Description

The QGraphicsOpacityEffect class provides an opacity effect.

An opacity effect renders the source with an opacity. This effect is useful for making the source semi-transparent, similar to a fade-in/fade-out sequence. The opacity can be modified using the setOpacity() function.

By default, the opacity is 0.7.

## Method Documentation

### QGraphicsOpacityEffect.__init__ (self, QObject parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs a new QGraphicsOpacityEffect instance. The parent parameter is passed to QGraphicsEffect's constructor.

### QGraphicsOpacityEffect.draw (self, QPainter)

Reimplemented from QGraphicsEffect.draw().

### float QGraphicsOpacityEffect.opacity (self)

### QBrush QGraphicsOpacityEffect.opacityMask (self)

### QGraphicsOpacityEffect.setOpacity (self, float)

This method is also a Qt slot with the C++ signature `void setOpacity(qreal)`.

### QGraphicsOpacityEffect.setOpacityMask (self, QBrush)

This method is also a Qt slot with the C++ signature `void setOpacityMask(const QBrush&)`.

## Qt Signal Documentation

### void opacityChanged (qreal)

This is the default overload of this signal.

This signal is emitted whenever the effect's opacity changes. The opacity parameter holds the effect's new opacity.

### void opacityMaskChanged (const QBrush&)

This is the default overload of this signal.

This signal is emitted whenever the effect's opacity mask changes. The mask parameter holds the effect's new opacity mask.